Homebrew Update Required to Play Super Smash Bros Online

ChopinCJ

Member
OP
Newcomer
Joined
Jan 21, 2018
Messages
5
Trophies
0
Age
25
XP
42
Country
United States
Hello,
I recently installed cfw (luma3ds) on my old 3ds (running 10.7.0), and I had no issues with getting everything up and running. Today, I decided to play Super Smash Bros, since I hadn't played it in many months, and after inserting the cartridge, and opening it from the home menu, a menu box stating that a software update was required popped up.
Since this software update is needed to play online, I perform a quick google search, and find out that I need to update from the Luma3ds Updater, so I open it.
When I do, I'm greeted with the familiar Luma3ds Updater screen, but I notice something odd. The updater says: "You have the latest stable version", meaning that I can't update any further. If I can't update, how am I supposed to play Super Smash Bros online?

If anyone knows what to do, please share.

Thanks!
 

TheMagicMan

A Person
Member
Joined
Sep 21, 2016
Messages
363
Trophies
0
XP
426
Country
United States
Hello,
I recently installed cfw (luma3ds) on my old 3ds (running 10.7.0), and I had no issues with getting everything up and running. Today, I decided to play Super Smash Bros, since I hadn't played it in many months, and after inserting the cartridge, and opening it from the home menu, a menu box stating that a software update was required popped up.
Since this software update is needed to play online, I perform a quick google search, and find out that I need to update from the Luma3ds Updater, so I open it.
When I do, I'm greeted with the familiar Luma3ds Updater screen, but I notice something odd. The updater says: "You have the latest stable version", meaning that I can't update any further. If I can't update, how am I supposed to play Super Smash Bros online?

If anyone knows what to do, please share.

Thanks!

No, you need a software update for the game, not luma(When opening the game it should prompt you to install a update for the game, just say yes.). You also might need to update the console. Chances are your still running al9h if you havent used your 3ds in a while, if so you should update the newest "exploit", b9s (Its a better al9h). The guide for that is here: https://3ds.guide/a9lh-to-b9s
 
Last edited by TheMagicMan,
  • Like
Reactions: Quantumcat

Zhongtiao1

Well-Known Member
Member
Joined
Feb 24, 2015
Messages
815
Trophies
0
Age
24
XP
2,569
Country
United States
No, you need a software update for the game, not luma. You also might need to update the console. Chances are your still running al9h if you havent used your 3ds in a while, if so you should update the newest "exploit", b9s (Its a better al9h). The guide for that is here: https://3ds.guide/a9lh-to-b9s

You should update to B9S.

But you don't have to... A9LH 4 LIFE
 

ChopinCJ

Member
OP
Newcomer
Joined
Jan 21, 2018
Messages
5
Trophies
0
Age
25
XP
42
Country
United States
Sorry, I didn't explain clearly. I hadn't played Smash in a while; I installed cfw 2 days ago. (I used B9s).

--------------------- MERGED ---------------------------

When I try to update the game, I get an error. (Code: 009-1000)

In order to use this service, a system update is required.
To perform a system update, select System Update from Other Settings in System Settings.

Of course, I'm not supposed to update from System Settings (I think).
 

ChopinCJ

Member
OP
Newcomer
Joined
Jan 21, 2018
Messages
5
Trophies
0
Age
25
XP
42
Country
United States
Thankfully, I backed everything up before hacking my 3ds. Does this mean I should delete all of the files, reinstall my backup, update to the latest version, and redo the cfw?

--------------------- MERGED ---------------------------

If I restore my backup then do the update, will Nintendo brick my 3ds? (I turned off Spotpass.)
Just have to make sure!
 

Soraiko

Well-Known Member
Member
Joined
Oct 11, 2015
Messages
3,926
Trophies
1
Age
27
Location
Hamburg
XP
2,876
Country
Germany
no just update luma to 9.0 and then the system trough settings

--------------------- MERGED ---------------------------

no need to reinstall CFW

--------------------- MERGED ---------------------------

Ninty doesnt Brick Systems
 

osm70

Well-Known Member
Member
Joined
Apr 17, 2011
Messages
1,227
Trophies
0
XP
2,289
Country
Czech Republic
Thankfully, I backed everything up before hacking my 3ds. Does this mean I should delete all of the files, reinstall my backup, update to the latest version, and redo the cfw?

--------------------- MERGED ---------------------------

If I restore my backup then do the update, will Nintendo brick my 3ds? (I turned off Spotpass.)
Just have to make sure!

Keep CFW installed, go to System Settings and update.
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    KenniesNewName @ KenniesNewName: https://youtube.com/shorts/0PLynroGlRs?feature=share